<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.SET_WALLPAPER" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <!-- 针对 Android 13+ 的媒体权限 -->
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />


    <uses-permission android:name="android.permission.AD_ID" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:allowNativeHeapPointerTagging="false"
        android:configChanges="orientation|screenSize|keyboardHidden|screenLayout|smallestScreenSize"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:persistableMode="persistAcrossReboots"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:supportsPictureInPicture="true"
        android:supportsRtl="true"
        tools:replace="networkSecurityConfig"
        android:networkSecurityConfig="@xml/net"
        android:taskAffinity=""
        android:theme="@style/Theme.AppCompat.Light.NoActionBar"
        tools:targetApi="30">

        <meta-data
            android:name="com.startapp.sdk.MIXED_AUDIENCE"
            android:value="true"/>

        <activity
            android:name=".LocalPreActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.NoActionBar" />
        <activity
            android:name=".DetailwpActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity
            android:name=".SplaActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
    </application>

</manifest>